// Copyright 2015 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'dart:sky' as sky;
import 'dart:math';

import 'package:sky/painting/text_style.dart';
import 'package:sky/rendering/flex.dart';
import 'package:sky/theme/colors.dart' as colors;
import 'package:sky/widgets.dart';

import 'package:chart/chart.dart';

var data = {
    "labels": ["January", "February", "March", "April", "May", "June", "July"],
    "datasets": [
        {
            "label": "My First dataset",
            "fillColor": "rgba(220,220,220,0.2)",
            "strokeColor": "rgba(220,220,220,1)",
            "pointColor": "rgba(220,220,220,1)",
            "pointStrokeColor": "#fff",
            "pointHighlightFill": "#fff",
            "pointHighlightStroke": "rgba(220,220,220,1)",
            "data": [65, 59, 80, 81, 56, 55, 40]
        },
        {
            "label": "My Second dataset",
            "fillColor": "rgba(151,187,205,0.2)",
            "strokeColor": "rgba(151,187,205,1)",
            "pointColor": "rgba(151,187,205,1)",
            "pointStrokeColor": "#fff",
            "pointHighlightFill": "#fff",
            "pointHighlightStroke": "rgba(151,187,205,1)",
            "data": [28, 48, 40, 19, 86, 27, 90]
        }
    ]
};

class ChartsApp extends App {

  Widget buildChart() {
    var myLineChart = new LineChart(data: data);
    return new Text("Chart");
  }

  Widget build() {
    return new TaskDescription(
      label: 'Charts',
      child: new Scaffold(
        toolbar: new ToolBar(center: new Text("Charts")),
        body: new Material(child: new Center(child: buildChart()))
      )
    );
  }
}

void main() {
  runApp(new ChartsApp());
}
